import * as nearley from "./deps/deno.land/x/nearley@2.19.7-deno/mod.js";
import _compiledRules from "./generated/urichk.js";
const compiledRules = _compiledRules;
export const lexer = compiledRules.Lexer;
export function parse(schema) {
    const parser = new nearley.Parser(nearley.Grammar.fromCompiled(compiledRules));
    parser.feed(schema);
    return parser.finish()[0];
}
