declare namespace _default {
    export { lexer as Lexer };
    export const ParserRules: ({
        name: string;
        symbols: any[];
        postprocess?: undefined;
    } | {
        name: string;
        symbols: string[];
        postprocess: ([tokens]: [any]) => any;
    } | {
        name: string;
        symbols: string[];
        postprocess: ([comment, head, , tail]: [any, any, any, any]) => {
            comment: any;
            head: any;
            tail: any;
        };
    } | {
        name: string;
        symbols: string[];
        postprocess: ([scheme, authority, path]: [any, any, any]) => {
            scheme: any;
            authority: any;
            path: any;
        };
    } | {
        name: string;
        symbols: string[];
        postprocess: ([, userinfo, host, port]: [any, any, any, any]) => {
            userinfo: any;
            host: any;
            port: any;
        };
    } | {
        name: string;
        symbols: any[];
        postprocess: ([, port]: [any, any]) => any;
    } | {
        name: string;
        symbols: (string | {
            literal: string;
        })[];
        postprocess: ([, , name]: [any, any, any]) => {
            type: string;
            name: any;
        };
    } | {
        name: string;
        symbols: (string | {
            literal: string;
        })[];
        postprocess: ([tailType, , matchType, , pattern]: [any, any, any, any, any]) => {
            tailType: any;
            matchType: any;
            pattern: any;
        };
    } | {
        name: string;
        symbols: (string | {
            literal: string;
        })[];
        postprocess: ([key, , , , value]: [any, any, any, any, any]) => {
            key: any;
            value: any;
            array: boolean;
        };
    } | {
        name: string;
        symbols: (string | {
            literal: string;
        })[];
        postprocess: ([key, , , , , , , , value]: [any, any, any, any, any, any, any, any, any]) => {
            key: any;
            value: any;
            array: boolean;
        };
    } | {
        name: string;
        symbols: any[];
        postprocess: ([value]: [any]) => {
            type: string;
            value: any;
        };
    } | {
        name: string;
        symbols: string[];
        postprocess: ([, rules, rule]: [any, any, any]) => any[];
    })[];
    export const ParserStart: string;
}
export default _default;
declare const lexer: import("../deps/deno.land/x/moo@0.5.1.1/node_modules/@types/moo/index.d.js").Lexer;
