import type { Path, Tail, TailRuleForm, Urichk } from "../ast.js";
export interface CompileConfig {
    name: string;
}
export declare function compile(schema: Urichk, config?: Partial<CompileConfig>): string;
export declare function getSearchParamsTypeCode(tailRuleForm?: TailRuleForm): string;
export declare function getTailRuleForm(tail: Tail): TailRuleForm | undefined;
export declare function urichkPathToString(path: Path): string;
